1. consumption_report
Residentia REST API
  • Residentia REST API
    • location
      • getLocations
      • getLocationByLocationNumber
    • sensor
      • getSensorBySensorId
      • getSensorHistoryBySensorId
    • overdrive
      • setOverdriveSettings
      • getOverdriveSettings
      • getOneLocationOverdriveSettings
      • getLocationOverdriveStatus
    • consumption_report
      • getMonthlyConsumption
        GET
      • getDailyConsumption
        GET
      • getDistrictHeating
        GET
      • specificEnergyConsumption
        GET
    • heating
      • getLocationHeatingCurve
      • getLocationTargetSetpoint
    • Schemas
      • LocationItem
      • LocationSensorItem
      • SensorItem
      • SensorHistoryItem
      • HistoryData
      • OverdriveBody
      • Overdrive
      • OverdrivePostResponse
      • OverdriveGetResponse
      • HeatingCurvePoint
      • HeatingCurveItem
      • TargetSetpointItem
      • OverdriveStatusItem
      • MonthlyConsumptionItem
      • SpecificEnergyTypeResult
  1. consumption_report

getDistrictHeating

GET
/location/{location_number}/district_heating
Get monthly measured and normalized district heating consumption data for a specific location number and a specific year (e.g. 2025).

Request

Authorization
API Key
Add parameter in header
X-ApiKey
Example:
X-ApiKey: ********************
or
Path Params

Query Params

Responses

🟢200
application/json
Successful operation. Returns an array of objects, each representing normalized heating data for a specific month.
Bodyapplication/json

🟠400
🟠403
🟠404
🟠429
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/location/10000001/district_heating?year=2025' \
--header 'X-ApiKey: <api-key>'
Response Response Example
200 - Success
{
    "month": "2025-01",
    "simple_consmption": 68.734,
    "normalized_consumption": 80.24,
    "unit": "mwh",
    "type": "District Heating"
}
Modified at 2026-06-18 14:38:42
Previous
getDailyConsumption
Next
specificEnergyConsumption
Built with